Page MenuHomePhabricator

Review Community Relations Specialists' team workflows and practices
Closed, ResolvedPublic

Description

As Community Relations is gearing up,
I must review the Specialists' workflows and practices, see what still makes sense, see what needs to be adapted to a new context, etc.

Event Timeline

Elitre created this task.Jul 9 2018, 12:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2018, 12:10 PM
Qgil triaged this task as Normal priority.Jul 10 2018, 7:11 AM
Qgil moved this task from Inbox to Started on the CommRel-Internals board.
Elitre renamed this task from Review team workflows and practices to Review Community Relations Specialists' team workflows and practices.Jul 13 2018, 4:03 PM
Qgil added a subtask: Unknown Object (Task).Aug 7 2018, 10:55 AM
Quiddity closed subtask Unknown Object (Task) as Resolved.Aug 14 2018, 5:24 PM
Elitre closed this task as Resolved.Sep 28 2018, 2:36 PM

I have shared my suggestions with the rest of the team. I haven't seen opposition or detailed alternatives to my ideas. I'm going to update the workflow page accordingly in the next days. It's gonna be a while before some of those practices are started in their new form anyway.

Qgil moved this task from Started to Evaluated on the CommRel-Internals board.Oct 1 2018, 10:32 AM
Qgil awarded a token.
Qgil closed subtask Unknown Object (Task) as Resolved.Oct 19 2018, 9:19 AM